/* ===== CSS Variables for Color Scheme ===== */
:root {
    --jade: #00A86B;
    --deep-jade: #00804F;
    --evergreen: #05472A;
    --pastel-green: #6df06d;
    --dark-green: #091a0e;
    --black: #181818;
    --white: #ffffff;
    --white-text: #ffffff;
    --gray-text: #666666;
    --dark-text: #333333;
    --black-text: #000000;
    --shadow: rgba(0, 0, 0, 0.1);
}

/* ===== Base Styles ===== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Meta", sans-serif;
}

html {
    scroll-behavior: smooth;
    /* Enables smooth scrolling to anchor links */
}

body {
    font-family:'Segoe UI Bold', Tahoma, Geneva, Verdana, sans-serif;
    line-height: 1.6;
    color: var(--dark-text);
    background-color: var(--white);
}

.container {
    width: 90%;
    max-width: 100vw;
    margin: 0 auto;
    padding: 0 1rem;
}

section {
    padding: 80px 0;
}

h1 {
    font-family: "Meta", sans-serif;
    font-variation-settings: "wght" 600;
    text-align: center;
    font-size: 2.5rem;
}

h2 {
    font-size: 2.5rem;
    margin-bottom: 3rem;
    text-align: center;
    color: var(--black-text);
}

.title {
    background: linear-gradient(
        to left,
        #00A86B 10%,
        #06854e 15%,
        #00f78c 35%,
        #8cf8bd 40%,
        #00A86B 50%,
        #06854e 65%,
        #6df0a8 85%,
        #8cf8bd 100%
    );
    width: fit-content;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 500% auto;
    animation: textShine 20s ease-in-out infinite alternate;
}

@keyframes textShine {
    0% {
        background-position: 0% 50%;
    }
    100% {
        background-position: 100% 50%;
    }
}

/* ===== Header & Navigation ===== */
header {
    background-color: rgba(0, 0, 0, 0.808);
    backdrop-filter: blur(20px);
    box-shadow: 0 2px 10px var(--shadow);
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0;
}

.header-container h1 {
    font-size: 3rem;
    padding: 0;
}

/* Static Logo */
.logo {
    font-size: 2.2rem;
    font-weight: 700;
    color: var(--white-text);
    text-decoration: none;
}

main:hover {
  font-variation-settings: "wght" 900, "ital" 1;
  text-shadow: none;
}

@font-face {
  src: url("https://www.axis-praxis.org/fonts/webfonts/MetaVariableDemo-Set.woff2")
    format("woff2");
  font-family: "Meta";
  font-style: normal;
  font-weight: normal;
}

/* Navigation menu */
nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
nav ul {
    display: flex;
    list-style: none;
}

nav ul li {
    margin-left: 2rem;
}

nav ul li a {
    position: relative;
    text-decoration: none;
    color: var(--white-text);
    font-weight: 600;
    font-size: 1.1rem;
    transition: color 0.3s ease;
}

nav ul li a:hover {
    color: var(--jade);
}

/* ===== Intro Section ===== */
.intro {
    background-image: radial-gradient(
        var(--evergreen) 0%,
        var(--deep-jade) 75%,
        var(--jade) 100%
    );
    height: auto;
    background-size: .5% 50%;
    overflow: hidden;
    box-shadow: 0 .1rem 1rem var(--evergreen);
    transition: transform 0.3s ease;
    animation: scanVertical infinite 20s;
}

@keyframes scanVertical {
    from {
        background-position: 0% 0%;
    }
    to {
        background-position: 0% 200%;
    }
}

.intro-content {
    max-width: 150ch;
    margin-top: 5rem;
}

.intro-content h1 {
    font-family: "Meta", sans-serif;
    font-size: 3.5rem;
    color: white;
    text-shadow: black 0 0 10px;
}

.intro-content h2 {
    font-size: 1.5rem;
    font-weight: lighter;
    color: white;
    margin-bottom: 1rem;
    color: var(--white-text);
    text-shadow: rgb(0, 0, 0) .25rem .251rem 1rem;
}

.intro-content h3 {
    font-size: 1.75rem;
    margin-bottom: 1rem;
    color: var(--jade);
    text-shadow: black 0 0 10px;
}

.email-btn {
    background: transparent;
    border: transparent;
}

.email-btn:hover{
    cursor: pointer;
}

.email-btn h2 {
    color: gold;
}

#feedbackMessage {
    font-size: 1rem;
    background: #05472ab7;
    padding: 4px 12px;
    border-radius: 20px;
}
/* ===== Featured Work Section ===== */

.featured-work {
    background-image: radial-gradient(
        rgb(0, 0, 0),
        rgb(0, 0, 0),
        rgb(29, 29, 29),
        rgb(0, 0, 0)
    );
    background-size: 500% 500%;
    min-height: 50vh;
    box-shadow: black 0 0 10px;
    animation: gradientMove 10s alternate infinite;
}

@keyframes gradientMove {
    from {
        background-position: 0% 100%;
    }
    to {
        background-position: 0% 0%;
    }
}

.featured-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 30px;
}

.featured-item {
    flex: 1;
    min-width: 30px;
    text-decoration: none;
    color: inherit;
    background-image: radial-gradient(
        var(--evergreen) 10%,
        var(--deep-jade) 80%,
        var(--jade) 100%
    );
    background-size: 200% 500%;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 .1rem 1rem var(--evergreen);
    transition: transform 0.3s ease;
    animation: move alternate infinite 10s;
    margin-bottom: 2rem;
}

@keyframes move {
    from {
        background-position: 0% 100%;
    }
    to {
        background-position: 100% 25%;
    }
}

.featured-item:hover {
    transform: scale(1.025);
}

.featured-work h1 {
    color: var(--white-text);
    margin-bottom: 1rem;
    z-index: 1;
}

/* ===== Common Styles for Featured Items ===== */
.featured-img {
    display: flex;
    height: 20vh;
    width: 25vw;
    align-items: center;
    justify-self: center;
    padding-top: .75rem;
    padding-right: .75rem;
    padding-bottom: 0;
    padding-left: .75rem;
    border-top-left-radius: 1.25rem;
    border-top-right-radius: 1.25rem;
    border-bottom-left-radius: 1.25rem .5rem;
    border-bottom-right-radius: 1.25rem .5rem;
}

.featured-content {
    padding: 1rem 1rem;
}

.featured-title {
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
    color: var(--white-text);
    background: #05472a5d;
    border-radius: .5rem;
    padding: 4px 8px;
}

.featured-subtitle {
    color: var(--white-text);
    font-size: 1rem;
    background: #05472a5d;
    border-radius: .5rem;
    padding: 4px 8px;
}
.tags {
    margin-top: 1rem;
    display: flex;
    gap: .25rem;
    flex-wrap: wrap;
}

.html-tag {
    padding: 0 10px;
    border-radius: 15px;
    margin: 0;
    max-width: fit-content;
    background-color: #05472ad7;
    color: white;
    font-weight: bold;
}

.css-tag {
    padding: 0 10px;
    border-radius: 15px;
    margin: 0;
    max-width: fit-content;
    background-color: #05472ad7;
    color: white;
    font-weight: bold;
}

.js-tag {
    padding: 0 10px;
    border-radius: 15px;
    margin: 0;
    max-width: fit-content;
    background-color: #05472ad7;
    color: white;
    font-weight: bold;
}

/* ===== Footer ===== */
footer {
    background-color: var(--black);
    padding: 1rem ;
    text-align: center;
    box-shadow: 0 10px 10px 10px rgba(255, 255, 255, 0.226);
}

.footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.social-link {
    font-size: 1.5rem;
    color: var(--white-text);
    text-decoration: none;
    transition: color 0.3s ease;
}

.social-link:hover {
    color: #0076b5;
    /* LinkedIn blue */
}

.email {
    font-size: 1.2rem;
    color: var(--white-text);
}

/* ===== Mobile Responsive Styles ===== */
@media (min-width: 1440px) {
    .intro {
        background-size: .25% 50%;
    }

    .featured-work {
        padding: 0 5vw;
    }
}

@media (max-width: 1024px) {
    .intro {
        background-size: .75% 50%;
    }

    .featured-container {
        flex-direction: column;
        padding: 0 15vw;
    }
    
    .featured-img {
        height: 25vh;
        width: 50vw;
    }

}

@media (max-width: 768px) {

    h2 {
        font-size: 2rem;
    }

    .intro-content h1 {
        font-size: 2.5rem;
    }

    .intro {
        background-size: .5% 50%;
    }

    .featured-container {
        flex-direction: column;
        padding: 0 10vw;
    }

    .featured-img {
        height: 25vh;
        width: 60vw;
    }
}

@media (max-width: 600px) {
    .featured-container {
        flex-direction: column;
    }

    .featured-item{
        min-width: 100%;
    }

    .intro {
        background-size: 1% 50%;
    }

    .intro-content h1 {
        font-size: 2rem;
    }
}